﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace DockingUnpinGroup
{
    /// <summary>
    /// Interaction logic for MyView.xaml
    /// </summary>
    public partial class MyView : UserControl
    {
        public MyView()
        {
            InitializeComponent();
        }

        private void Docking_Unpin(object sender, Telerik.Windows.Controls.Docking.StateChangeEventArgs e)
        {
            //Dispatcher.BeginInvoke(new Action(() =>
            //{
            //    this.PanesToPinUnpin.UnpinAllPanes();
            //}));
        }

        private void Docking_Pin(object sender, Telerik.Windows.Controls.Docking.StateChangeEventArgs e)
        {
            //Dispatcher.BeginInvoke(new Action(() =>
            //{
            //    this.PanesToPinUnpin.PinAllPanes();
            //}));
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

        }

        private void Docking_PaneStateChange(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            var pane = e.OriginalSource as RadPane;
            if (pane != null)
            {
                var paneGroup = pane.PaneGroup;
                if (pane.IsPinned)
                {
                    Dispatcher.BeginInvoke(new Action(() =>
                    {
                        paneGroup.PinAllPanes();
                    }));
                }
                else
                {
                    Dispatcher.BeginInvoke(new Action(() =>
                    {
                        this.UnpinnPanes(paneGroup);
                    }));
                }
            }
        }

        private void LeftGroupPane_SelectionChanged(object sender, Telerik.Windows.Controls.RadSelectionChangedEventArgs e)
        {

        }

        private void UnpinnPanes(RadPaneGroup paneGroup)
        {
            foreach (var pane in paneGroup.EnumeratePanes())
            {
                if (pane.CanUserPin)
                {
                    pane.IsPinned = false;
                }
            }
        }
    }
}
